ドメイン名
GET https://uptime4.com/api/domain-names/
curl --request GET \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: name, target. |
| is_enabled | オプション ブール値 | |
| project_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-21 02:09:09",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/domain-names?page=1",
"last": "https://uptime4.com/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/domain-names?page=1"
}
}
GET https://uptime4.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-21 02:09:09",
}
}
POST https://uptime4.com/api/domain-names
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| target | 必須 文字列 | - |
| project_id | オプション 整数 | - |
| whois_notifications | オプション 配列 | 通知ハンドラーID |
| whois_notifications_timing | オプション 整数 | 許可される値: 1, 2, 3, 7, 14, 30, 60 (日) |
| ssl_notifications | オプション 配列 | 通知ハンドラーID |
| ssl_notifications_timing | オプション 整数 | 許可される値: 1, 2, 3, 7, 14, 30, 60 (日) |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/domain-names/{domain_name_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| target | オプション 文字列 | - |
| project_id | オプション 整数 | - |
| whois_notifications | オプション 配列 | 通知ハンドラーID |
| whois_notifications_timing | オプション 整数 | 許可される値: 1, 2, 3, 7, 14, 30, 60 (日) |
| ssl_notifications | オプション 配列 | 通知ハンドラーID |
| ssl_notifications_timing | オプション 整数 | 許可される値: 1, 2, 3, 7, 14, 30, 60 (日) |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \